// menu彈跳視窗

$("#menu-box2").hide();
$("#menu-box").hide();

$("#menu-btn1").click(function () {
  $("#menu-box").slideToggle("slow");
  $("#menu-box2").slideToggle("slow");

});
$(".link").click(function () {
  $("#menu-box").slideUp("slow", function () {
    $("#menu-box2").slideUp("slow");
    // Animation complete.
  });
});

$(".feedback-slider1").slick({
  dots: true,
  dotsClass: 'slick-dots',
  speed: 1000,
  swipe: true,
  arrows: false,
});

$(".banner-slider").slick({
  dots: true,
  dotsClass: 'slick-dots',
  speed: 1000,
  autoplay: true,
});


$.fn.serializeObject = function () {
  var o = {};
  var a = this.serializeArray();
  o["id"] = 0;
  o["time_stamp"] = "";
  $.each(a, function () {
    if (o[this.name]) {
      if (!o[this.name].push) {
        o[this.name] = [o[this.name]];
      }
      o[this.name].push(this.value || '');
    } else {
      o[this.name] = this.value || '';
    }
  });

  return o;
};

$(".contact-form1").submit(function (e) {
  /*	var formRef = $('#form1').serializeArray();
    var jsonString = JSON.stringify(formRef);*/
  var jsonInfo = $('.contact-form1').serializeObject();
  var jsonString = JSON.stringify(jsonInfo);
  console.log(jsonString);
  $.ajax({
    type: 'POST',
    url: 'https://go.hhh.com.tw:8002/deco_request_detail',
    data: jsonString,
    dataType: 'json',
    // async: false,
    success: function (data) {
      console.log('送出成功: ' + data);
      if (data == 0) {
        alert("送出成功");
      } else if (data == 1) {
        alert("此email已填過表單");
      } else if (data == 2) {
        alert("此phone已填過表單");
      } else if (data == 3) {
        alert("此email、phone已填過表單");
      }
      location.href ="./index_complete_line.html"; 
     
    },
    beforeSend: function () {
      console.log('beforeSend');
    },
    complete: function () {
      console.log('complete');
    },
    error: function (jqXHR, textStatus, errorThrown) {
      console.log(JSON.stringify(jqXHR));
      console.log("AJAX errr: " + textStatus + ' : ' + errorThrown);
      console.log('送出失敗: ' + jqXHR.responseText);
    }
  });
  if ($('#credit').prop("checked")) {
    $.ajax({
      type: 'POST',
      url: 'https://api.ptt.cx:9999/hhh/mail/deco/v2',
      data: jsonString,
      dataType: 'json',
      contentType: 'application/json; charset=utf-8',
      

      success: function (res) {
        alert('送出成功');
      },
      error: function (error) {
        console.error(error);
        alert('送出失敗');
      }

    });
  }
  return false;
});


$("*").each(function (index, element) {
  // 此元素被點選後執行
  $(this).click(function (e) {
    // 取得被點選元素的屬性：data-gt-target
    var target = $(this).attr("data-gt-target");
    var duration = $(this).attr("data-gt-duration");
    var offset = $(this).attr("data-gt-offset");

    // JS 語法：判斷式
    // if (條件) {程式區塊}
    // 當條件成立，會執行程式區塊

    // 如果 目標有資料 才會執行 { } 內的程式
    // 避免出現 undefine (未定義 - 不存在的資料)
    if (target) {
      //console.log("目標：" + target);
      //console.log("時間：" + duration);
      //console.log("位移：" + offset);

      // 上方位置 = 目標區塊.位移().上方位置
      var top = $(target).offset().top;
      //console.log("要前往元素的上方位置：" + top);

      // 網頁元素.停止().動畫({ 上方捲動：指定元素 - 位移}，持續時間)
      // parseInt() 將文字轉為數字

      $("html").stop().animate({
        scrollTop: top - offset
      }, parseInt(duration));
    }
  });
});

// 避免動畫與使用者滾輪衝突
// html 在滾動滾輪時 停止 html 所有效果
$("html").on("mousewheel", function () {
  $("html").stop();
});

$(document).ready(function () {
  $("#date").datepicker();
});

// // gototop 下滑效果
$(".arrow").hide();
$(window).scroll(function(){
   var y = window.scrollY;
    
  if(y>10){
    $(".arrow").show();
  }else{
     $(".arrow").hide();
  }
    
});

window.fbAsyncInit = function () {
  FB.init({
    appId: '1388696554848391', // 填入 FB APP ID
    cookie: true,
    xfbml: true,
    version: 'v11.0'
  });

  FB.getLoginStatus(function (response) {
    statusChangeCallback(response);
  });
};

// 處理各種登入身份
function statusChangeCallback(response) {
  console.log(response);
  var target = document.getElementById("FB_STATUS_2"),
    html = "";

  // 登入 FB 且已加入會員
  if (response.status === 'connected') {
    html = "已登入 FB，並加入 WFU BLOG DEMO 應用程式<br/>";

    FB.api('/me?fields=id,name,email', function (response) {
      console.log('FB API回傳資料: ' + JSON.stringify(response));
      if (response.id) {
        // 設定欄位預設值
        document.getElementById("email").value = response.email;
        document.getElementById("name").value = response.name;

        // 隱藏FB登入按鈕
        document.getElementById("fb_login").style.display = 'none';
    }
    });
  }

  // 登入 FB, 未偵測到加入會員
  // else if (response.status === "not_authorized") {
  //   target.innerHTML = "已登入 FB，但未加入 WFU BLOG DEMO 應用程式";
  // }

  // 未登入 FB
  // else {
  //   target.innerHTML = "未登入 FB";
  // }
}


// 點擊登入
$("#fb_login").click(function () {
  // 進行登入程序
  FB.login(function (response) {
    statusChangeCallback(response);
  }, {
    scope: 'public_profile,email'

  },
  );

});

// 點擊登出
// $("#FB_logout").click(function() {
// FB.logout(function(response) {
// statusChangeCallback(response);
// });
// });

// 載入 FB SDK
(function (d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) return;
  js = d.createElement(s);
  js.id = id;
  js.src = "https://connect.facebook.net/zh_TW/sdk.js";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));

$(function() {
  var dateToday = new Date(); 
  //jQuery datepicker 設定限制日期最小最大 minDate maxDate hideIfNoPrevNext
  $(".datepicker").datepicker({
    //顯示上個月日期 及下個月日期 ，但是不可選的。
    //default:false
    showOtherMonths : true,
    // 設置當沒有上一個/下一個可選擇的情況下，隱藏掉相應的按鈕。（默認為不可用）
    //配合有設定最大最小時使用
    //default:false
    hideIfNoPrevNext : true,

    minDate : dateToday ,
    //  設置一個最大的可選日期。可以是Date對象，或者是數字（從今天算起，例如+7），
    //或者有效的字符串('y'代表年, 'm'代表月, 'w'代表周, 'd'代表日, 例如：'+1m +7d')。
  });
});